/*
 * linux/video/encode_eucjp.c
 *
 * Copyright (C) 2000		Kazuhide Takahashi
 *				HOLON Inc.
 * Copyright (C) 1999		Christopher Li, Jim Chen
 *				GNU/Linux Research Center
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file COPYING in the main directory of this archive
 * for more details.
 *
 *
 */


#include <linux/module.h>
#include <linux/fb_doublebyte.h>
#include "font_jis16.h"
#define min1 0xa1
#define max1 0xfe


int is_left(int c)
{
	return ( c >= min1 && c<=max1);
}
int is_right(int c)
{
	return ( c >= min1 && c<=max1);
}
int index_euc (int left, int right)
{
	if ( left == 0x8E )
		left = 0;
	else
		left &= 0x7F;
	right &= 0x7F;

	if (left > 0x29)
		return ((right - 0x40 + (left - 0x25) * 96) << 5);
	else
	return ((right - 0x20 + (left - 0x20) * 96) << 5);
}
struct double_byte db_gb =
{
	0,
	"EUCJP",
	is_left,
	is_right,
	index_euc,
	16,16,
	max_jis16,
	font_jis16
};

int init_module(void)
{
	if (doublebyte_default) return 1;
	doublebyte_default = &db_gb;
	return 0;
}

void cleanup_module(void)
{
	doublebyte_default = (void*) 0;
}	
